Package org.apache.solr.client.solrj.response

# Class PivotField

java.lang.Object
org.apache.solr.client.solrj.response.PivotField

All Implemented Interfaces:
  `Serializable`

public class PivotField extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PivotField(String f, Object v, int count, List<PivotField> pivot, Map<String,FieldStatsInfo> statsInfo, Map<String,Integer> queryCounts, List<RangeFacet> ranges)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCount()`
`Map<String,Integer>`
`getFacetQuery()`
`List<RangeFacet>`
`getFacetRanges()`
`String`
`getField()`
`Map<String,FieldStatsInfo>`
`getFieldStatsInfo()`
`List<PivotField>`
`getPivot()`
`Object`
`getValue()`
`String`
`toString()`
`void`
`write(PrintStream out, int indent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PivotField

public PivotField(String f, Object v, int count, List<PivotField> pivot, Map<String,FieldStatsInfo> statsInfo, Map<String,Integer> queryCounts, List<RangeFacet> ranges)

## Method Details

### getField

public String getField()

### getValue

public Object getValue()

### getCount

public int getCount()

### getPivot

public List<PivotField> getPivot()

### getFieldStatsInfo

public Map<String,FieldStatsInfo> getFieldStatsInfo()

### getFacetQuery

public Map<String,Integer> getFacetQuery()

### getFacetRanges

public List<RangeFacet> getFacetRanges()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### write

public void write(PrintStream out, int indent)